Bug 106431 - TODO: Clean up XFree86 PCI code debugging trace messages
Summary: TODO: Clean up XFree86 PCI code debugging trace messages
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-07 01:43 UTC by Mike A. Harris
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 19:08:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike A. Harris 2003-10-07 01:43:42 UTC
Clean up this mess of #ifdef crap in the XFree86 PCI code:



[mharris@devel os-support]$ grep -r 'define.*DEBUGPCI' *
bus/Pci.c:#if defined(DEBUGPCI)
bus/Pci.h:/* #define DEBUGPCI  2 */    /* Disable/enable trace in PCI code */
bus/Pci.h:#if defined(DEBUGPCI)
bus/Pci.h:#else /* !defined(DEBUGPCI) */
bus/Pci.h:#endif /* !defined(DEBUGPCI) */
[mharris@devel os-support]$ grep -r 'DEBUGPCI' *
bus/Pci.c:#if defined(DEBUGPCI)
bus/Pci.c:      if (DEBUGPCI >= xf86Verbose)
bus/Pci.c:              xf86Verbose = DEBUGPCI;
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.c:#ifdef DEBUGPCI
bus/Pci.h:/* #define DEBUGPCI  2 */    /* Disable/enable trace in PCI code */
bus/Pci.h:#if defined(DEBUGPCI)
bus/Pci.h:#else /* !defined(DEBUGPCI) */
bus/Pci.h:#endif /* !defined(DEBUGPCI) */
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI
bus/ix86Pci.c:#ifdef DEBUGPCI

Comment 1 Mike A. Harris 2004-10-12 17:09:57 UTC
This should be moved upstream probably.

Comment 2 Mike A. Harris 2005-04-11 19:08:43 UTC
Very low priority, not worth tracking.  CLosing WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.